import request from '@/utils/request'
import { parseStrEmpty } from '@/utils/vctgo'

const api = {
  all: '/system/garden/list/all',
  info: '/system/garden/detail'
}

export function fetchGardenInfo(id) {
  return request({
    url: `${api.info}/${id}`,
    method: 'get'
  })
}
// 查询幼儿园集团管理列表
export function listGarden(query) {
  return request({
    url: '/system/garden/page',
    method: 'get',
    params: query
  })
}

// 查询幼儿园集团管理列表
export function fetchAllGarden(params) {
  return request({
    url: api.all,
    method: 'get',
    params
  })
}

// 查询幼儿园集团管理详细
export function getGarden(id) {
  return request({
    url: '/system/garden/' + id,
    method: 'get'
  })
}

// 查询重复名称的集团列表
export function listRepeatGardenName(name, id) {
  return request({
    url: '/system/garden/list/' + name + '/' + parseStrEmpty(id),
    method: 'get'
  })
}

// 新增幼儿园集团管理
export function addGarden(data) {
  return request({
    url: '/system/garden',
    method: 'post',
    data: data
  })
}

// 修改幼儿园集团管理
export function updateGarden(data) {
  return request({
    url: '/system/garden',
    method: 'put',
    data: data
  })
}

// 逻辑删除选中区域
export function logicalDelete(ids) {
  return request({
    url: '/system/garden/abandon/' + ids,
    method: 'put'
  })
}

// 删除幼儿园集团管理
export function delGarden(id) {
  return request({
    url: '/system/garden/' + id,
    method: 'delete'
  })
}
